Subject: Re: [PATCH] [POWERPC] Move mpc52xx-psc uart driver to of_device from platform_device

From: Nicolas DET <[email-masked]>
Date: Wed, 1 Nov 2006 21:54:37 +0100 (MET)

Grant Likely wrote:
> On 11/1/06, Nicolas DET <[email-masked]> wrote:
>> Grant Likely wrote:
>> > As part of the transition to arch/powerpc, this patch moves the 
>> mpc5200 PSC
>> > driver over to the OF platform bus infrastructure.
>> >
>> > This patch is not acceptable for mainline as-is because it breaks 
>> arch/ppc
>> > support for the mpc52xx.  More rework is needed to allow it to 
>> compile for
>> > either arch (or alternately, fork the driver)
>> >
>>
>> It has been hard to apply on 2.6.19-rc4 but it seems to perform well.
>> I add to add some entries in mpc52xx_uart_match[]
> 
> Good news, thanks for the feedback. I take it you are able to use the
> serial port with this driver?

Yes.

>>
>> In now looks like this:
>> static struct of_device_id mpc52xx_uart_match[] = {
>>         {
>>                 .name = "serial",
>>                 .compatible = "mpc52xx-psc",
>>         },
>>         {
>>                 .name = "serial",
>>                 .compatible = "mpc52xx-serial",
>>         },
>>         {
>>                 .name = "serial",
>>                 .compatible = "mpc5200-psc",
>>         },
>>         {
>>                 .name = "serial",
>>                 .compatible = "mpc5200-serial",
>>         },
>>         {},
>> };
> 
> I'd rather not do this for the mainline code.  I'd rather define a
> naming convention and all of us use it.  We're early enough in this
> process that we can do that since there are only two major boards
> (lite5200 & Efika) on track to be supported in mainline ATM.
> 
> Having 4 compatibility blocks to support 2 boards is over-engineering.  :)

Ok. Efika will have "mpc5200-serial' inside the "compatible" property.

Regards,